Removed the references to "Java 2" from the description of the generated JRE package
[sven/java-package.git] / debian / changelog
index 1a3662c..4194414 100644 (file)
@@ -1,12 +1,67 @@
+java-package (0.53) UNRELEASED; urgency=low
+
+  * Team upload.
+  * Added support for early access releases (Closes: #721136)
+  * Added support for GA and FCS releases
+  * Updated the package description and debian/README.Debian:
+    - no longer recommend openjdk-6
+    - mention the compatibility with Java 8
+  * Removed 'Replaces: ${j2se_package}debian' from the generated control file
+  * Adjusted the disk space required to unpack the Java 8 documentation
+  * Updated the manpages for Java 8
+  * Updated debhelper level to 7
+  * debian/rules: Use dh_prep instead of dh_clean -k
+  * Removed the recommended dependency on libstdc++5 from the generated
+    control file (used by the now unsupported IBM JDK 5)
+  * Removed the recommended dependency on libgtk1.2 from the generated
+    control file (removed from Squeeze)
+  * Removed the recommended dependency on libx11-6 and libasound2 from
+    the generated control file (these dependencies are already injected
+    by dh_shlibdeps)
+  * Removed the references to "Java 2" from the description of the generated
+    JRE package
+
+ -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Aug 2013 19:34:41 +0200
+
 java-package (0.52) unstable; urgency=low
 
+  [ Sylvestre Ledru ]
+  * Team upload
+  * Upload to unstable
+  * Ack the NMU of David Prévot (thanks!)
+  * Standards-Version updated to version 3.9.4
+  * Remove obsolete variable from the changelog
+  * Add support of ARM upstream binary by James Page and Matthias Vill.
+    Thanks guys! (Closes: #687375)
+  * Change the installation path from
+    /usr/lib/jvm/jdk-6.38-oracle-x64 or /usr/lib/jvm/jdk-7.10-oracle-x64
+    to
+    /usr/lib/jvm/jdk-6-oracle-x64 and /usr/lib/jvm/jdk-7-oracle-x64
+    Thanks to Constantin Makshin for the patch (Closes: #696227)
+
+  [ Cédric Pineau ]
+  * Fix lintian errors and warnings
+
   [ Gabriele Giacone ]
   * Add {mozilla,firefox}-javaplugin.so for update-java-alternatives.
-  * Fix plugin directories. Closes #686216
+  * Fix plugin directories. Closes: #686216
 
- -- Cédric Pineau <cedric.pineau@gmail.com>  Sat, 01 Sep 2012 16:57:08 +0200
+  [ Emmanuel Bourg ]
+  * Switched to the 3.0 (native) package format
+  * debian/control: Use canonical URLs for the Vcs-* fields
+  * debian/copyright: Switched to the Machine-readable format 1.0
+  * Updated the manpages to reflect the latest naming changes
+  * Removed the unused provided dependencies (j2sdk<version>, j2re<version>)
+  * Provide the java<version-1>-runtime and java<version-2>-runtime dependencies
+    (Closes: #691063)
+  * Provide the java<version>-sdk dependencies to match the openjdk package
+  * Use the upstream versioning scheme (i.e 7u13 instead of 7.13)
+    to match the convention used by the new openjdk packages
+  * Renamed the script files (j2sdk->jdk, j2re->jre, j2se->javase)
 
-java-package (0.51) unstable; urgency=low
+ -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jun 2013 13:43:55 +0200
+
+java-package (0.51~exp1) experimental; urgency=low
 
   * Add firefox-javaplugin.so alternative Closes: #673670 and LP: #1024368
   * Add java5 and 6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993 and LP: #995655
@@ -24,6 +79,20 @@ java-package (0.51) unstable; urgency=low
 
  -- Cédric Pineau <cedric.pineau@gmail.com>  Sat, 18 Aug 2012 11:00:34 +0200
 
+java-package (0.50+nmu2) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Allow two digits in Java 7 updates. Closes: #597294, #698108
+
+ -- David Prévot <taffit@debian.org>  Tue, 15 Jan 2013 15:06:26 -0400
+
+java-package (0.50+nmu1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Drop installation debconf note. Closes: #685082
+
+ -- David Prévot <taffit@debian.org>  Thu, 06 Sep 2012 18:38:03 -0400
+
 java-package (0.50) unstable; urgency=low
 
   * Java-package reset for reintroduction in debian (removal of all
@@ -40,7 +109,7 @@ java-package (0.50) unstable; urgency=low
   * maintainer-script-lacks-debhelper-token removed
   * Declare the debian/compat to 7 to avoid warnings
   
-  [ Michael Kock ]
+  [ Michael Koch ]
   * Remove Java plugins for all browsers (Closes: #367887).
   * Add support for Sun Java 6 Update XX (Closes: #514364).
 
@@ -463,7 +532,3 @@ java-package (0.1) unstable; urgency=low
   * Initial Release.
 
  -- Hubert Schmid <j2se-package@z42.de>  Sun, 26 Oct 2003 20:06:57 +0100
-
-Local variables:
-mode: debian-changelog
-End: